import { Component } from '@angular/core';
import { IonHeader, IonToolbar, IonTitle, IonContent } from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { EditTagComponent } from '../edit-tag/edit-tag.component';
import { EditRatingStarComponent } from '../edit-rating-star/edit-rating-star.component';

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  standalone: true,
  imports: [IonHeader, IonToolbar, IonTitle, IonContent, ExploreContainerComponent,EditTagComponent,EditRatingStarComponent],
})
export class Tab1Page {
//星星打分
  currentScore: number = 0; // 初始分值

  handleScoreChange(newScore: number) {
    this.currentScore = newScore;
    console.log('新分值:', newScore); // 处理分值变化
  }
//编辑标签
  editTags:Array<String>=[]
  setTagsValue(ev:any){
    console.log("setTagsValue",ev);
    this.editTags=ev;
  }
  constructor() {}
}